#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

int main()
{
    int N = 0, br, brMogucih;
    vector<int> jela, recepti, scenariji, podudRecepti;

    cin >> N;
    for(int i = 0; i < N; i++)
    {
        cin >> br;
        jela.push_back(br);
    }
    for(int i = 0; i < N; i++)
    {
        cin >> br;
        recepti.push_back(br);
    }
    for(int i = 0; i < N; i++)
    {
        cin >> br;
        scenariji.push_back(br);
    }

    for(int i = 0; i < N; i++)  /**< GLAVNA PETLJA */
    {
        podudRecepti.clear();

        for(int j = 0; j < N; j++)
        {
            if(jela[i] == recepti[j])   /**< NALAZI MOGUCE RECEPTE */
            {
                podudRecepti.push_back(j + 1);
            }
        }
        for(int x = 0; x < podudRecepti.size(); x++)    /**< NALAZI BROJ MOGUCIH SCENARIJA I KRAJNJIH KOMBINACIJA */
        {
            for(int y = 0; y < N; y++)
            {
                if(podudRecepti[x] == scenariji[y])
                {
                    brMogucih++;
                }
            }
        }
    }

    cout << brMogucih;

    return 0;
}